Skip to main content
`Ctrl`+`K`

# PetscBagRegisterRealArray

add a `PetscReal` array to a `PetscBag`

## Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagRegisterRealArray(PetscBag bag, void *addr, PetscInt msize, const char *name, const char *help)

Logically Collective

## Input Parameters

- bag - the bag of values

- addr - location of real array in struct, for example `&params->d`

- msize - number of entries in the array

- name - name of the array

- help - longer string with more information about the value

## See Also

`PetscBag`, `PetscBagSetName()`, `PetscBagView()`, `PetscBagLoad()`, `PetscBagGetData()`, `PetscBagRegisterInt()`, `PetscBagRegisterBool()`, `PetscBagRegisterScalar()`, `PetscBagSetFromOptions()`, `PetscBagCreate()`, `PetscBagGetName()`, `PetscBagRegisterEnum()`

## Level

beginner

## Location

src/sys/classes/bag/bag.c

## Examples

src/sys/tutorials/ex5.c
src/sys/tutorials/ex5f90.F90

Index of all Bag routines
Table of Contents for all manual pages
Index of all manual pages